Bug 1260597 - gdeploy: On RHEL6, gdeploy fails after backend setup
gdeploy: On RHEL6, gdeploy fails after backend setup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sachidananda Urs
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 06:51 EDT by Anush Shetty
Modified: 2017-03-25 10:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdeploy-1.0-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-25 10:23:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-09-07 06:51:15 EDT
Description of problem: On RHEL6, gdeploy exits after setting up bricks, failing to set performance tunables.

 
Version-Release number of selected component (if applicable): gdeploy-1.0-8.el6rhs.noarch


How reproducible: Always

Steps to Reproduce:
1. Create a config file for setting up bricks:
 
gdeploy config: gluster.conf

[hosts]
rhshdp03.lab.eng.blr.redhat.com
rhshdp04.lab.eng.blr.redhat.com
rhshdp05.lab.eng.blr.redhat.com
rhshdp06.lab.eng.blr.redhat.com

[devices]
/dev/vdb

[mountpoints]
/gluster1/brick1/

[brick_dirs]
s1

[peer]
manage=probe

[volume]
action=create
volname=gluster_vol1
replica=yes
replica_count=2

2. Run gdeploy: gdeploy -c gluster.conf

Actual results:

Fails after setting up bricks. Output below.


Expected results:

gdeploy should create a peer cluster and create the volume.

Additional info:



gdeploy output:

#gdeploy -c gluster.conf

INFO: Back-end setup triggered
INFO: Peer management(action: probe) triggered
INFO: Volume management(action: create) triggered

PLAY [gluster_servers] ******************************************************** 

TASK: [Create Physical Volume on all the nodes] ******************************* 
changed: [rhshdp06.lab.eng.blr.redhat.com]
changed: [rhshdp03.lab.eng.blr.redhat.com]
changed: [rhshdp04.lab.eng.blr.redhat.com]
changed: [rhshdp05.lab.eng.blr.redhat.com]

PLAY [gluster_servers] ******************************************************** 

TASK: [Create volume group on the disks] ************************************** 
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'brick': '/dev/vdb', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'brick': '/dev/vdb', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'brick': '/dev/vdb', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'brick': '/dev/vdb', 'vg': 'GLUSTER_vg1'})

PLAY [gluster_servers] ******************************************************** 

TASK: [Create logical volume named metadata] ********************************** 
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item=GLUSTER_vg1)
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item=GLUSTER_vg1)
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item=GLUSTER_vg1)
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item=GLUSTER_vg1)

TASK: [Create a thin pool] **************************************************** 
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})

TASK: [Convert the logical volume] ******************************************** 
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})

TASK: [Create logical volume for the pools] *********************************** 
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'lv': 'GLUSTER_lv1', 'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'lv': 'GLUSTER_lv1', 'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'lv': 'GLUSTER_lv1', 'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'lv': 'GLUSTER_lv1', 'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})

TASK: [Change the attributes of the logical volume] *************************** 
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'pool': 'GLUSTER_pool1', 'vg': 'GLUSTER_vg1'})

PLAY [gluster_servers] ******************************************************** 

TASK: [Create a xfs filesystem] *********************************************** 
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item=/dev/GLUSTER_vg1/GLUSTER_lv1)
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item=/dev/GLUSTER_vg1/GLUSTER_lv1)
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item=/dev/GLUSTER_vg1/GLUSTER_lv1)
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item=/dev/GLUSTER_vg1/GLUSTER_lv1)

PLAY [gluster_servers] ******************************************************** 

TASK: [Create the backend disks, fails if present] **************************** 
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})

TASK: [Mount the volumes] ***************************************************** 
changed: [rhshdp06.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})
changed: [rhshdp04.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})
changed: [rhshdp03.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})
changed: [rhshdp05.lab.eng.blr.redhat.com] => (item={'device': '/dev/GLUSTER_vg1/GLUSTER_lv1', 'path': '/gluster1/brick1/'})

PLAY [gluster_servers] ******************************************************** 

TASK: [Performance tune for general storage.] ********************************* 
failed: [rhshdp04.lab.eng.blr.redhat.com] => {"changed": true, "cmd": "tuned-adm profile rhs-high-throughput", "delta": "0:00:00.104726", "end": "2015-09-07 15:57:44.226835", "rc": 1, "start": "2015-09-07 15:57:44.122109", "warnings": []}
stderr: Requested profile 'rhs-high-throughput' doesn't exist.
failed: [rhshdp06.lab.eng.blr.redhat.com] => {"changed": true, "cmd": "tuned-adm profile rhs-high-throughput", "delta": "0:00:00.188975", "end": "2015-09-07 15:57:43.311282", "rc": 1, "start": "2015-09-07 15:57:43.122307", "warnings": []}
stderr: Requested profile 'rhs-high-throughput' doesn't exist.
failed: [rhshdp03.lab.eng.blr.redhat.com] => {"changed": true, "cmd": "tuned-adm profile rhs-high-throughput", "delta": "0:00:00.218398", "end": "2015-09-07 15:57:42.973423", "rc": 1, "start": "2015-09-07 15:57:42.755025", "warnings": []}
stderr: Requested profile 'rhs-high-throughput' doesn't exist.
failed: [rhshdp05.lab.eng.blr.redhat.com] => {"changed": true, "cmd": "tuned-adm profile rhs-high-throughput", "delta": "0:00:00.416273", "end": "2015-09-07 15:57:44.521669", "rc": 1, "start": "2015-09-07 15:57:44.105396", "warnings": []}
stderr: Requested profile 'rhs-high-throughput' doesn't exist.

FATAL: all hosts have already failed -- aborting

PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/root/ansible_playbooks.retry

rhshdp03.lab.eng.blr.redhat.com : ok=10   changed=10   unreachable=0    failed=1   
rhshdp04.lab.eng.blr.redhat.com : ok=10   changed=10   unreachable=0    failed=1   
rhshdp05.lab.eng.blr.redhat.com : ok=10   changed=10   unreachable=0    failed=1   
rhshdp06.lab.eng.blr.redhat.com : ok=10   changed=10   unreachable=0    failed=1
Comment 2 Nandaja Varma 2015-09-07 08:07:34 EDT
Fixed. Now the option 'tune-profile' can be set to none, so this won't be run. Otherwise by default rh-high-throughput will be set

[tune-profile]
none
Comment 3 Anush Shetty 2015-09-08 05:48:02 EDT
Verified with gdeploy-1.0-9.el6rhs.noarch
Comment 6 Nandaja Varma 2015-11-03 23:25:03 EST
'rhs-high-throughput' tune profile is not present in RHEL-7. The default profile we set using gdeploy is 'rhs-high-throughput'. To override this, either use a different profile available in RHEL 7 or give 
[profile]
none

which will make gdeploy skip calling tuned-amd.

Note You need to log in before you can comment on or make changes to this bug.